MQTT C Client Libraries Internals: Data Fields

| MQTT C Client Libraries Internals

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- sendWhileDisconnected : MQTTAsync_createOptions
- serverURI : MQTTAsync_successData5 , MQTTAsync_successData , MQTTClient_connectOptions
- serverURIcount : MQTTAsync_connectOptions , MQTTClient_connectOptions
- serverURIs : MQTTAsync_connectOptions , MQTTClient_connectOptions
- sessionExpiry : Clients
- sessionPresent : Connack , MQTTAsync_successData5 , MQTTAsync_successData , MQTTClient_connectOptions
- size : List , NodeStruct , storageElement , Tree
- ssl : MQTTAsync_connectOptions , MQTTClient_connectOptions
- ssl_error_cb : MQTTAsync_SSLOptions , MQTTClient_SSLOptions
- ssl_error_context : MQTTAsync_SSLOptions , MQTTClient_SSLOptions
- ssl_psk_cb : MQTTAsync_SSLOptions , MQTTClient_SSLOptions
- ssl_psk_context : MQTTAsync_SSLOptions , MQTTClient_SSLOptions
- sslVersion : MQTTAsync_SSLOptions , MQTTClient_SSLOptions
- struct_id : MQTTAsync_connectData , MQTTAsync_connectOptions , MQTTAsync_createOptions , MQTTAsync_disconnectOptions , MQTTAsync_failureData5 , MQTTAsync_init_options , MQTTAsync_message , MQTTAsync_responseOptions , MQTTAsync_SSLOptions , MQTTAsync_successData5 , MQTTAsync_willOptions , MQTTClient_connectOptions , MQTTClient_createOptions , MQTTClient_init_options , MQTTClient_message , MQTTClient_SSLOptions , MQTTClient_willOptions , MQTTSubscribe_options
- struct_version : MQTTAsync_connectData , MQTTAsync_connectOptions , MQTTAsync_createOptions , MQTTAsync_disconnectOptions , MQTTAsync_failureData5 , MQTTAsync_init_options , MQTTAsync_message , MQTTAsync_responseOptions , MQTTAsync_SSLOptions , MQTTAsync_successData5 , MQTTAsync_willOptions , MQTTClient_connectOptions , MQTTClient_createOptions , MQTTClient_init_options , MQTTClient_message , MQTTClient_SSLOptions , MQTTClient_willOptions , MQTTSubscribe_options
- sub : MQTTAsync_successData5